From 27015c59bf11419da0597be9d5ff5eaf072f96ac Mon Sep 17 00:00:00 2001
From: Markus Amsler <markus.amsler@oribi.org>
Date: Sun, 13 Feb 2011 21:23:36 +0100
Subject: [PATCH 3/7] intercom: Send packet only once.

---
 temp.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/temp.c b/temp.c
index e1d13a5..e9bf188 100644
--- a/temp.c
+++ b/temp.c
@@ -241,8 +241,6 @@ void temp_sensor_tick() {
 				case TT_INTERCOM:
 					temp = read_temperature(temp_sensors[i].temp_pin);
 
-					start_send();
-
 					temp_sensors_runtime[i].next_read_time = 0;
 
 					break;
@@ -277,6 +275,9 @@ void temp_sensor_tick() {
 			}
 		}
 	}
+	#ifdef	TEMP_INTERCOM
+	start_send();
+	#endif
 }
 
 uint8_t	temp_achieved() {
-- 
1.6.3.2.1299.gee46c

